<?php
include('db_connect.php');

$sql = "SELECT id, firstname, lastname, gender, email, status, age, student_id, program, year_level, section FROM students WHERE archive_status = 1";
$result = $conn->query($sql);
?>

<!DOCTYPE html>
<html>

<head>
  <title>Students archived</title>
  <script src="https://cdn.jsdelivr.net/npm/qrcode/build/qrcode.min.js"></script>
  <style>
    .qr-container {
      margin-top: 10px;
      display: none;
      text-align: center;
    }

    .qr-container img {
      margin-top: 10px;
    }

    .student-details {
      text-align: center;
      font-family: Arial, sans-serif;
    }

    .student-details .row {
      margin-bottom: 15px;
    }

    .student-details .row b {
      font-size: 1.2em;
    }

    .student-details .qr-code-container {
      margin-top: 20px;
    }

    .logo {
      margin-bottom: 20px;
    }
  </style>
</head>

<body>
  <div class="container-fluid">
    <div class="row mt-3">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-header">
            <b>Students archived</b>
          </div>

          <div class="card-body table-responsive">
            <table id="myTable" class="table table-bordered table-sm table-striped nowrap compact">
              <thead>
                <tr>
                  <th class="text-center">#</th>
                  <th class="text-center">Student ID</th>
                  <th class="text-center">Last Name</th>
                  <th class="text-center">First Name</th>
                  <th class="text-center">Email Address</th>
                  <th class="text-center">Gender</th>
                  <th class="text-center">Age</th>
                  <th class="text-center">Program</th>
                  <th class="text-center">Year Level</th>
                  <th class="text-center">Section</th>
                  <th class="text-center">Action</th>
                </tr>
              </thead>
              <tbody>
                <?php
                $count = 1;
                if ($result->num_rows > 0) {
                  while ($row = $result->fetch_assoc()) {
                    $status = $row['status'] == 1 ? 'Active' : 'Inactive';
                ?>
                    <tr>
                      <td class="text-center"><?php echo $count; ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['student_id'] ?? 'N/A'); ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['lastname']); ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['firstname']); ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['email']); ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['gender']); ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['age']); ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['program']); ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['year_level']); ?></td>
                      <td class="text-center"><?php echo htmlspecialchars($row['section']); ?></td>
                      <td class="text-center">
                        <button class="btn btn-sm btn-success unarchive_student" type="button"
                          data-id="<?php echo $row['id'] ?>">
                          <i class="fa-solid fa-box-open"></i>
                        </button>
                      </td>
                    </tr>
                <?php
                    $count++;
                  }
                } else {
                  echo "<tr><td colspan='12' class='text-center'>No students found</td></tr>";
                }
                ?>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="qr-container" class="qr-container"></div>

  <script>
    $(".unarchive_student").click(function() {
      _conf("Are you sure to unarchive this student?", "unarchive_student", [$(this).attr("data-id")]);
    });

    function unarchive_student($id) {
      start_load();
      $.ajax({
        url: "ajax.php?action=unarchive_student",
        method: "POST",
        data: {
          id: $id
        },
        success: function(resp) {
          if (resp == 1) {
            alert_toast("Student successfully unarchived", "success");
            setTimeout(function() {
              location.reload();
            }, 1500);
          }
        },
      });
    }
  </script>
</body>

</html>