$(document).ready(function () {
  var table = $("#myTable").DataTable({
    pageLength: 10,
    lengthMenu: [[10, 25, 50, -1], [10, 25, 50, "All"]],
    buttons: [
      "colvis",
      {
        extend: "excelHtml5",
        exportOptions: { columns: ":visible" },
        className: "buttons-collection"
      },
      {
        extend: "print",
        exportOptions: { columns: ":visible" },
        className: "buttons-collection"
      }
    ],
    dom: "Bfrtip",
    columnDefs: [
      { 
        targets: [2, 3, 4],  
        visible: true 
      }
    ],
    initComplete: function () {
      this.api().columns([2, 3, 4]).every(function (index) {
        var column = this;
        var select = $(`#filters select`).eq(index - 2)  
          .on('change', function () {
            var val = $.fn.dataTable.util.escapeRegex($(this).val());
            
            if (!val) {
              column.search('').draw();
            } else {
              column
                .search('^' + val + '$', true, false)
                .draw();
            }
          });
      });
    }
  });

  $("#resetFilter").on("click", function () {
    $('#programFilter, #yearLevelFilter, #sectionFilter').val('');
    table.columns([2, 3, 4]).search('').draw(); 
  });
});
