<?php include('db_connect.php'); ?>
<!DOCTYPE html>
<html>

<head>
  <title>QR Code Generator</title>
  <style>
    h2 {
      color: #333;
    }

    input[type="text"] {
      width: 100%;
      padding: 10px;
      margin: 10px 0;
      border: 1px solid #ccc;
      border-radius: 4px;
    }

    button {
      background-color: #007bff;
      color: white;
      padding: 10px 20px;
      border: none;
      border-radius: 4px;
      cursor: pointer;
      margin-top: 10px;
    }

    button:hover {
      background-color: #0056b3;
    }

    #qrcode {
      margin-top: 20px;
    }

    #downloadBtn {
      display: none;
      margin-top: 15px;
    }
  </style>
</head>

<body>
  <div class="container mt-5">
    <h2>QR Code Generator</h2>
    <!-- Input field to enter the text for QR Code -->
    <input type="text" id="qrText" placeholder="Enter student ID to generate QR Code">
    <button onclick="generateQRCode()">Generate QR Code</button>

    <!-- QR Code display area -->
    <div id="qrcode"></div>

    <!-- Download button -->
    <button id="downloadBtn" onclick="downloadQRCode()">Download QR Code</button>
  </div>

  <!-- QR Code library -->
  <script src="qrcode.min.js"></script>

  <script>
    function generateQRCode() {
      // Clear any previous QR code and hide download button
      document.getElementById("qrcode").innerHTML = "";
      document.getElementById("downloadBtn").style.display = "none";

      // Get the text from the input field
      const text = document.getElementById("qrText").value;

      if (text) {
        // Generate QR code
        const qrcode = new QRCode(document.getElementById("qrcode"), {
          text: text,
          width: 128,
          height: 128,
        });

        // Wait a moment for QR code to generate, then show download button
        setTimeout(() => {
          document.getElementById("downloadBtn").style.display = "inline-block";
        }, 300);
      } else {
        alert("Please enter valid student ID to generate a QR Code.");
      }
    }

    function downloadQRCode() {
      const qrCodeCanvas = document.querySelector("#qrcode canvas");
      const text = document.getElementById("qrText").value || "qrcode"; // Default to "qrcode" if input is empty

      if (qrCodeCanvas) {
        const qrCodeDataUrl = qrCodeCanvas.toDataURL("image/png");

        // Sanitize the filename by replacing spaces and special characters
        const sanitizedFileName = text.replace(/[^a-zA-Z0-9]/g, "_");

        // Create a temporary link to initiate download
        const downloadLink = document.createElement("a");
        downloadLink.href = qrCodeDataUrl;
        downloadLink.download = `${sanitizedFileName}.png`;
        downloadLink.click();
      } else {
        alert("No QR code generated to download.");
      }
    }
  </script>
</body>

</html>