<?php include 'db_connect.php'; ?>
<title>Dashboard</title>

<style>
  span.float-right.summary_icon {
    font-size: 4rem;
    position: absolute;
    right: 1rem;
    color: #ffffff96;
  }

  .card {
    border: none;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  }

  .Cards {
    padding: 20px;
    min-height: 150px;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .Cards h1,
  .Cards p {
    text-align: left;
    margin: 0;
    letter-spacing: 1px;
  }

  .Cards h1 {
    font-size: 2.5rem;
  }

  .summary-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 40px;
  }

  .summary-item {
    width: 48%;
    margin-bottom: 20px;
  }

  #calendar {
    max-width: 900px;
    margin: 0 auto;
    border: 1px solid #dddddd;
    border-radius: 10px;
    background-color: #fff;
    padding: 20px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    margin-top: -30px !important;
  }

  .fc-daygrid-event {
    background-color: #007bff;
    color: white !important;
    border-radius: 5px;
    padding: 4px 6px;
    font-size: 0.85rem;
    white-space: normal;
    text-align: left;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .fc-daygrid-event:hover {
    background-color: #0056b3;
    cursor: pointer;
  }
</style>

<div class="container-fluid">
  <div class="row mt-3 ">
    <div class="col-md-12 summary-container">

      <!-- Total Students Card -->
      <div class="col-md-4">
        <div class="card">
          <a href="index.php?page=list_students">
            <div class="card-body bg-success">
              <div class="card-body Cards text-white">
                <span class="float-right summary_icon"><i class="fa-solid fa-users-line"></i></span>
                <h1><b class="count-up">
                    <?php echo $conn->query("SELECT * FROM students WHERE status = 1 AND archive_status = 0")->num_rows; ?>
                  </b></h1>
                <p><b>Total Students</b></p>
              </div>
            </div>
          </a>
        </div>
      </div>

      <!-- Total Events Card -->
      <div class="col-md-4">
        <div class="card">
          <a href="index.php?page=list_event">
            <div class="card-body bg-primary">
              <div class="card-body Cards text-white">
                <span class="float-right summary_icon"><i class="fa-solid fa-calendar-check"></i></span>
                <h1><b class="count-up">
                    <?php echo $conn->query("SELECT COUNT(*) FROM event WHERE status = 'completed'")->fetch_row()[0]; ?>
                  </b></h1>
                <p><b>Total Completed Events</b></p>
              </div>
            </div>
          </a>
        </div>
      </div>

      <div class="col-md-4">
        <div class="card">
          <a href="index.php?page=list_event">
            <div class="card-body bg-warning">
              <div class="card-body Cards text-white">
                <span class="float-right summary_icon"><i class="fa-solid fa-calendar-day"></i></span>
                <h1><b class="count-up">
                    <?php echo $conn->query("SELECT COUNT(*) FROM event WHERE status = 'scheduled'")->fetch_row()[0]; ?>
                  </b></h1>
                <p><b>Total Scheduled Events</b></p>
              </div>
            </div>
          </a>
        </div>
      </div>
    </div>
  </div>

  <!-- Calendar -->
  <div id='calendar'></div>

  <script>
    $(document).ready(function() {
      $('.count-up').each(function() {
        var $this = $(this);
        $({
          Counter: 0
        }).animate({
          Counter: $this.text()
        }, {
          duration: 1000,
          easing: 'swing',
          step: function() {
            $this.text(Math.ceil(this.Counter));
          },
          complete: function() {
            $this.text($this.text().replace(/(\d)(?=(\d\d\d)+(?!\d))/g, "$1,"));
          }
        }).delay(1000);
      });

      var events = [];

      <?php
      $event_query = $conn->query("SELECT event_name, event_date, event_time, status FROM event");
      while ($event = $event_query->fetch_assoc()) {
        $event_date = $event['event_date'];
        $event_time = date("g:ia", strtotime($event['event_time']));
        $event_status = $event['status'];
        $event_title = $event['event_name'] . " - " . $event_time;


        $background_color = ($event_status == 'completed') ? 'green' : '#007bff';

        echo "events.push({
    title: '{$event_title}',
    start: '{$event_date}T{$event['event_time']}',
    backgroundColor: '{$background_color}',
    borderColor: '{$background_color}',
    status: '{$event_status}' // Custom attribute for possible future use
  });";
      }
      ?>

      var calendarEl = document.getElementById('calendar');
      var calendar = new FullCalendar.Calendar(calendarEl, {
        initialView: 'dayGridMonth',
        events: events,
        displayEventTime: false,
        eventDidMount: function(info) {
          info.el.setAttribute('title', info.event.title);
        }
      });
      calendar.render();
    });
  </script>

  <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
</div>