<?php
date_default_timezone_set('Asia/Manila');
include('db_connect.php');
?>
<title>Instructors archived</title>

<div class="container-fluid">
  <div class="row mt-3">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <b>Instructors archived</b>
          <span class="">
            <button class="btn btn-primary btn-sm float-right" type="button" id="new_user">
              Add new instructor
            </button>
          </span>
        </div>
        <div class="card-body table-responsive">
          <table id="myTable" class="table table-bordered table-sm table-striped nowrap compact">
            <thead>
              <tr>
                <th class="text-center">#</th>
                <th>Name</th>
                <th>Username</th>
                <th>Type</th>
                <th class="text-center">Action</th>
              </tr>
            </thead>
            <tbody>
              <?php
              $i = 1;
              $users = $conn->query("SELECT * FROM users WHERE type = 3 AND archive_status = 1 ORDER BY id DESC");
              while ($row = $users->fetch_assoc()):
              ?>

                <tr>
                  <td class="text-center"><?php echo $i++ ?></td>
                  <td><?php echo ucwords($row['name']) ?></td>
                  <td><?php echo $row['username'] ?></td>
                  <td>
                    <?php
                    if ($row['type'] == 2) echo "Student";
                    elseif ($row['type'] == 3) echo "Instructor";
                    ?>
                  </td>
                  <td class="text-center">
                    <button class="btn btn-success btn-sm unarchive_instructor" type="button" data-id="<?php echo $row['id'] ?>">
                      <span><i class="fa-solid fa-box-open"></i></span>
                    </button>
                  </td>
                </tr>
              <?php endwhile; ?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
  $(".unarchive_instructor").click(function() {
    _conf("Are you sure to unarchive this instructor?", "unarchive_instructor", [$(this).attr("data-id")]);
  });

  function unarchive_instructor($id) {
    start_load();
    $.ajax({
      url: "ajax.php?action=unarchive_instructor",
      method: "POST",
      data: {
        id: $id
      },
      success: function(resp) {
        if (resp == 1) {
          alert_toast("instructor successfully unarchived", "success");
          setTimeout(function() {
            location.reload();
          }, 1500);
        }
      },
    });
  }
</script>