<?php
date_default_timezone_set('Asia/Manila');
include('db_connect.php');

$today = date('Y-m-d');
$conn->query("UPDATE event SET status='completed' WHERE event_date < '$today' AND status='scheduled'");
?>
<title>Events</title>

<div class="container-fluid">
    <div class="row mt-3">
        <div class="col-lg-12">
            <!-- Table Panel -->
            <div class="card">
                <div class="card-header">
                    <b>List of Events</b>
                    <span class="">
                        <button class="btn btn-primary btn-sm float-right" type="button" id="new_event">
                            Add Event
                        </button>
                    </span>
                </div>
                <div class="card-body table-responsive">
                    <table id="myTable" class="table table-bordered table-sm table-striped nowrap compact">
                        <thead>
                            <tr>
                                <th class="text-center">#</th>
                                <th>Event Name</th>
                                <th>Date</th>
                                <th>Location</th>
                                <th>Time</th>
                                <th class="text-center">Status</th>
                                <th class="text-center">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            $events = $conn->query("SELECT * FROM event ORDER BY id DESC");
                            while ($row = $events->fetch_assoc()):
                            ?>
                                <tr>
                                    <td class="text-center"><?php echo $i++ ?></td>
                                    <td>
                                        <p><?php echo ucwords($row['event_name']) ?></p>
                                    </td>
                                    <td>
                                        <p><?php echo date("F j, Y", strtotime($row['event_date'])) ?></p>
                                    </td>
                                    <td>
                                        <p><?php echo ucwords($row['location']) ?></p>
                                    </td>
                                    <td>
                                        <p><?php echo ucwords($row['event_time']) ?></p>
                                    </td>
                                    <td>
                                        <p><?php echo ucwords($row['status']) ?></p>
                                    </td>
                                    <td class="text-center">
                                        <button class="btn btn-sm btn-primary edit_event" type="button" data-id="<?php echo $row['id'] ?>">
                                            <span><i class="fa-solid fa-pen-to-square"></i></span>
                                        </button>
                                        <button class="btn btn-sm btn-danger delete_event" type="button" data-id="<?php echo $row['id'] ?>">
                                            <span><i class="fa-solid fa-trash"></i></span>
                                        </button>
                                    </td>
                                </tr>
                            <?php endwhile; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- End Table Panel -->
        </div>
    </div>
</div>

<script>
    $("#new_event").click(function() {
        uni_modal("Add New Event", "manage_event.php", "mid-large");
    });

    $(".edit_event").click(function() {
        uni_modal(
            "Manage Event",
            "manage_event.php?id=" + $(this).attr("data-id"),
            "mid-large"
        );
    });

    $(".view_event").click(function() {
        var eventId = $(this).data('id');
        window.location.href = 'index.php?page=view_event&id=' + eventId;
    });

    $(".delete_event").click(function() {
        _conf("Are you sure to delete this event?", "delete_event", [$(this).attr("data-id")]);
    });

    function delete_event(id) {
        start_load();
        $.ajax({
            url: "ajax.php?action=delete_event",
            method: "POST",
            data: {
                id: id
            },
            success: function(resp) {
                if (resp == 1) {
                    alert_toast("Event successfully deleted", "success");
                    setTimeout(function() {
                        location.reload();
                    }, 1500);
                } else {

                    alert_toast(resp, "danger");
                }
            },
        });
    }
</script>