<?php
session_start();
include 'header.php';
include ('db_connect.php');
ob_start();
ob_end_flush();
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
  <?php include ('./header.php'); ?>
  <?php
  if (isset($_SESSION['login_id']))
    header('location:index.php?page=home');
  ?>

  <style>
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }

    body {
      background: #f2f2f2 !important;
      color: #000 !important;
      font-family: "Inter", sans-serif !important;
      overflow: hidden;
    }

    .login {
      min-height: 100vh;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .bg-image {
      background-image: url(assets/img/background-image.jpg);
      background-size: cover;
      background-position: center;
      filter: brightness(100%);
      background-repeat: no-repeat;
      width: 100%;
    }

    .btn-login {
      font-weight: 600;
      font-size: 1.2rem;
      letter-spacing: 0.05rem;
      padding: 0.75rem 1rem;
      border-radius: 20px;
    }

    .btn-login:hover {
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    }

    .password-container {
      position: relative;
    }

    .header {
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 10px 20px;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      background-color: #007004;
      margin: 0;
      width: 100%;
    }

    .header img {
      width: 50px;
      height: 50px;
      margin-right: 10px;
    }

    .header-title {
      font-size: 1.5rem;
      font-weight: bold;
      text-transform: uppercase;
      color: #fff;
    }

    .caption {
      padding: 10px 0;
      background-color: #007004;
      color: #fff;
    }

    .form-container {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
      padding: 40px 20px 0 20px;
      background-color: #fff;
      border-radius: 8px;
      margin-bottom: 60px;
      margin: 0 auto;
      width: 400px;
    }
  </style>
</head>

<body>
  <div class="container-fluid ps-md-0">
    <div class="row g-0">
      <div class="header">
        <img src="assets/img/sjcb-logo.png" style="width: 50px; height: 50px" alt="Logo">
        <div class="header-title">Welcome to SJCB Student Monitoring System</div>
      </div>
      <div class="d-none d-md-flex col-md-12 bg-image">
        <div class="login d-flex align-items-center">
          <div class="container">
            <div class="row">
              <div class="col-md-9 col-lg-10 mx-auto text-center form-container">
                <!-- Brand -->
                <div class="text-center">
                  <!-- <h5 class="mt-3 mb-4 caption"></h5> -->
                  <div> <span><i class="fa-solid fa-circle-user" style="font-size: 50px;"></i></span></div>
                  <h6 class="mt-3 mb-4">Log in</h6>
                </div>
                <!-- Sign In Form -->
                <form id="login-form" class="text-left">
                  <div class="mb-3">
                    <div class="input-group">
                      <span class="input-group-text"><i class="fas fa-user"></i></span>
                      <input type="text" class="form-control pt-4 pb-4" id="username" name="username"
                        placeholder="Username">
                    </div>
                  </div>

                  <div class="mb-3">
                    <div class="input-group">
                      <span class="input-group-text"><i class="fas fa-lock"></i></span>
                      <input type="password" class="form-control pt-4 pb-4" id="password" name="password"
                        placeholder="Password">
                    </div>
                  </div>
                  <div class="d-grid">
                    <button class="btn btn-lg btn-login fw-bold mb-5 w-100" style="background-color: #29D4DF;"
                      type="submit">Log In</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
      </div>
    </div>
  <a href="#" class="back-to-top"><i class="icofont-simple-up"></i></a>
</body>
<script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
<script>
  AOS.init();
  $('#login-form').submit(function (e) {
    e.preventDefault()
    $('#login-form button[type="button"]').attr('disabled', true).html('Logging in...');
    if ($(this).find('.alert-danger').length > 0)
      $(this).find('.alert-danger').remove();
    $.ajax({
      url: 'ajax.php?action=login',
      method: 'POST',
      data: $(this).serialize(),
      error: err => {
        console.log(err)
        $('#login-form button[type="button"]').removeAttr('disabled').html('Login');

      },
      success: function (resp) {
        if (resp == 1) {
          location.href = 'index.php?page=home';
        } else {
          $('#login-form').prepend('<div class="alert alert-danger">Username or password is incorrect.</div>')
          $('#login-form button[type="button"]').removeAttr('disabled').html('Login');
        }
      }
    })
  })

  // Password toggle eye icon
  var state = false;

  function toggle() {
    // Use the name attribute to select the password input
    var passwordInput = document.getElementsByName("password")[0];

    if (state) {
      passwordInput.setAttribute("type", "password");
      document.getElementById("eye").style.color = '#7a797e';
      state = false;
    } else {
      passwordInput.setAttribute("type", "text");
      document.getElementById("eye").style.color = '#5887ef';
      state = true;
    }
  }

</script>

</html>