<style>
  nav#sidebar {
    background: #2C3E50;
    height: 100%;
    position: fixed;
    width: 250px;
    z-index: 1;
    overflow-x: hidden;
    transition: 0.5s;
  }

  .sidebar-list {
    padding: 0;
    list-style: none;
    margin-top: 3px;
  }

  .nav-item {
    padding: 10px;
    text-decoration: none;
    font-size: 16px;
    color: #ecf0f1;
    display: block;
    transition: 0s;
  }

  .nav-item:hover {
    background-color: #1F2933;
    color: #ffffff;
  }

  .nav-item:not(.active) {
    background-color: #2C3E50;
    color: #fff;
  }

  .active {
    background-color: #1F2933;
    color: #ffffff;
  }

  .icon-field {
    margin-right: 10px;
  }

  .brand-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    margin-top: -20px;
  }

  .brand-logo img {
    max-width: 100%;
    height: auto;
  }
</style>

<nav id="sidebar">
  <div class="sidebar-list">
    <a href="index.php?page=home" class="nav-item nav-home active">
      <span class='icon-field'><i class="fa-solid fa-gauge"></i></span> Dashboard
    </a>
    <a href="index.php?page=users" class="nav-item nav-users">
      <span class='icon-field'><i class="fa-solid fa-users-gear"></i></span> Import Students
    </a>
    <a href="index.php?page=list_students" class="nav-item nav-list_students">
      <span class='icon-field'>
        <i class="fa-solid fa-users-line"></i>
      </span> Students
    </a>
    <a href="index.php?page=list_attendance" class="nav-item nav-list_attendance">
      <span class='icon-field'>
        <i class="fa-regular fa-rectangle-list"></i>
      </span> Attendance
    </a>
    <!-- <a href="index.php?page=list_absent" class="nav-item nav-list_absent">
      <span class='icon-field'>
        <i class="fa-regular fa-rectangle-xmark"></i>
      </span> Absents List
    </a> -->
    <a href="index.php?page=list_event" class="nav-item nav-list_event">
      <span class='icon-field'>
        <i class="fa-solid fa-calendar-day"></i>
      </span> Events
    </a>
    <?php if (isset($_SESSION['login_type']) && $_SESSION['login_type'] == 1): ?>
      <a href="index.php?page=instructors" class="nav-item nav-instructors">
        <span class='icon-field'><i class="fa-solid fa-users-viewfinder"></i></span> Instructors
      </a>

    <?php endif ?>
    <a href="index.php?page=archived_students" class="nav-item nav-archived_students">
      <span class='icon-field'>
        <i class="fa-solid fa-box-archive"></i>
      </span> Students Archived
    </a>
    <?php if (isset($_SESSION['login_type']) && $_SESSION['login_type'] == 1): ?>
      <a href="index.php?page=instructors_archived" class="nav-item nav-instructors_archived">
        <span class='icon-field'>
          <i class="fa-solid fa-box-archive"></i>
        </span> Instructors Archived
      </a>
    <?php endif ?>

  </div>
</nav>

<script>
  $('.nav_collapse').click(function() {
    console.log($(this).attr('href'))
    $($(this).attr('href')).collapse()
  })
  $('.nav-<?php echo isset($_GET['page']) ? $_GET['page'] : '' ?>').addClass('active')
  if ('<?php echo isset($_GET['page']) ? $_GET['page'] : '' ?>' !== 'home') {
    $('.nav-home').removeClass('active');
  }
</script>