<?php
date_default_timezone_set('Asia/Manila');
include('db_connect.php');
?>

<title>Students</title>

<div class="container-fluid">
  <div class="row mt-3">
    <div class="col-lg-12">
      <!-- Table Panel -->
      <div class="card">
        <div class="card-header">
          <b>List of Students</b>
          <span class="">
            <button class="btn btn-primary btn-sm float-right" type="button" id="new_student">
              Add Student
            </button>
          </span>
        </div>
        <div class="card-body table-responsive">
          <table id="myTable" class="table table-bordered table-sm table-striped nowrap compact">
            <thead>
              <tr>
                <th class="text-center">#</th>
                <th>Student ID</th>
                <th>Name</th>
                <th>Program</th>
                <th>Year Level</th>
                <th>Section</th>
                <th class="text-center">Action</th>
              </tr>
            </thead>
            <tbody>
              <?php
              $i = 1;
              $students = $conn->query("SELECT * FROM students ORDER BY id DESC");
              while ($row = $students->fetch_assoc()):
              ?>
                <tr>
                  <td class="text-center"><?php echo $i++ ?></td>
                  <td>
                    <p><?php echo $row['student_id'] ?></p>
                  </td>
                  <td>
                    <p><?php echo ucwords($row['firstname'] . " " . $row['lastname']) ?></p>
                  </td>
                  <td>
                    <p><?php echo ucwords($row['program']) ?></p>
                  </td>
                  <td>
                    <p><?php echo $row['year_level'] ?></p>
                  </td>
                  <td>
                    <p><?php echo ucwords($row['section']) ?></p>
                  </td>
                  <td class="text-center">
                    <button class="btn btn-sm btn-primary edit_student" type="button" data-id="<?php echo $row['id'] ?>">
                      <span><i class="fa-solid fa-pen-to-square"></i></span>
                    </button>
                    <button class="btn btn-sm btn-danger delete_student" type="button" data-id="<?php echo $row['id'] ?>">
                      <span><i class="fa-solid fa-trash"></i></span>
                    </button>
                  </td>
                </tr>
              <?php endwhile; ?>
            </tbody>
          </table>
        </div>
      </div>
      <!-- End Table Panel -->
    </div>
  </div>
</div>

<script>
  $("#new_student").click(function() {
    uni_modal("Add New Student", "manage_students.php", "mid-large");
  });

  $(".edit_student").click(function() {
    uni_modal(
      "Manage Student",
      "manage_students.php?id=" + $(this).attr("data-id"),
      "mid-large"
    );
  });

  $(".delete_student").click(function() {
    _conf("Are you sure to delete this student?", "delete_student", [$(this).attr("data-id")]);
  });

  function delete_student(id) {
    start_load();
    $.ajax({
      url: "ajax.php?action=delete_student",
      method: "POST",
      data: {
        id: id
      },
      success: function(resp) {
        if (resp == 1) {
          alert_toast("Student successfully deleted", "success");
          setTimeout(function() {
            location.reload();
          }, 1500);
        } else {
          alert_toast(resp, "danger");
        }
      },
    });
  }
</script>